Page({
    data: {
        phonebook: [],
        group: {}
    },
    onLoad(options) {
        const item = JSON.parse(options.item);
        console.log(item)
        wx.setNavigationBarTitle({
            title: item.groupname,
        })
        this.setData({
            phonebook: item.phonebook,
            group: {
                groupname: item.groupname,
                sys_phonebookgroupid: item.sys_phonebookgroupid
            }
        })
    },
    toAddContacts() {
        wx.navigateTo({
            url: '../contacts/edit?group=' + JSON.stringify(this.data.group),
        })
    },
    onShareAppMessage() {}
})